package com.qxgmat.data.constants.enums.user;


/**
 * Created by gaojie on 2017/11/20.
 */
public enum MoneyRange {
    MONEY_0(0,0), MONEY_1(1,1000), MONEY_2(1000,5000), MONEY_3(5000, 10000), MONEY_4(10000,Integer.MAX_VALUE);
    final static public String message = "筛选金额";

    public int min ;
    public int max ;
    private MoneyRange(int min, int max){
        this.min = min;
        this.max = max;
    }
    public static MoneyRange ValueOf(Integer value){
        if (value == null) return null;
        if (value < 0) return null;
        return MoneyRange.valueOf("MONEY_"+String.valueOf(value));
    }

}
